Subject: Re: [PATCH net] ip6_gre: fix endianness errors in ip6gre_err

From: Sabrina Dubroca <[email-masked]>
Date: Thu, 5 Feb 2015 00:38:30 +0100

2015-02-04, 07:50:12 -0800, Eric Dumazet wrote:
> On Wed, 2015-02-04 at 07:44 -0800, Eric Dumazet wrote:
> > On Wed, 2015-02-04 at 15:25 +0100, Sabrina Dubroca wrote:
> > > info is in network byte order, change it back to host byte order
> > > before use. In particular, the current code sets the MTU of the tunnel
> > > to a wrong (too big) value.
> > > 
> > > Fixes: c12b395a4664 ("gre: Support GRE over IPv6")
> > > Signed-off-by: Sabrina Dubroca <[email-masked]>
> > > ---
> > 
> > Acked-by: Eric Dumazet <[email-masked]>
> > 
> 
> 
> BTW, "fl6.flowi6_proto = skb->protocol; " in ip6gre_xmit_other()
> looks suspicious...

Yes, I know that sparse complains about it.  I don't know how to
handle that for now.  ntohs would silence the sparse warning, but we
would still have u8 vs u16.  I'll need to have a closer look.

-- 
Sabrina